# class Mail::StructuredField

Provides access to a structured header field

### Per RFC 2822:¶ ↑

    2.2.2. Structured Header Field Bodies

       Some field bodies in this standard have specific syntactical
       structure more restrictive than the unstructured field bodies
       described above. These are referred to as "structured" field bodies.
       Structured field bodies are sequences of specific lexical tokens as
       described in sections 3 and 4 of this standard.  Many of these tokens
       are allowed (according to their syntax) to be introduced or end with
       comments (as described in section 3.2.3) as well as the space (SP,
       ASCII value 32) and horizontal tab (HTAB, ASCII value 9) characters
       (together known as the white space characters, WSP), and those WSP
       characters are subject to header "folding" and "unfolding" as
       described in section 2.2.3.  Semantic analysis of structured field
       bodies is given along with their syntax.

### Public Class Methods

new(name = nil, value = nil, charset = nil) click to toggle source

    # File lib/mail/fields/structured_field.rb, line 26
    def initialize(name = nil, value = nil, charset = nil)
      self.name    = name
      self.value   = value
      self.charset = charset
      self
    end

### Public Instance Methods

charset() click to toggle source

    # File lib/mail/fields/structured_field.rb, line 33
    def charset
      @charset
    end

charset=(val) click to toggle source

    # File lib/mail/fields/structured_field.rb, line 37
    def charset=(val)
      @charset = val
    end

default() click to toggle source

    # File lib/mail/fields/structured_field.rb, line 41
    def default
      decoded
    end

errors() click to toggle source

    # File lib/mail/fields/structured_field.rb, line 45
    def errors
      []
    end